Subject: Re: What's cooking in git.git (Aug 2013, #06; Tue, 27)

From: Junio C Hamano <[email-masked]>
Date: Tue, 27 Aug 2013 15:32:20 -0700

Jeff King <[email-masked]> writes:

> I don't feel too strongly either way. I mostly kept the range checks for
> --int because that is how the code already worked, and I assumed that
> was what was desired. But given what I know of the history of the config
> code, it is probably a completely random side effect of how it is
> implemented. :)

;-)

> I can try to prepare a series going in that direction (we still need to
> fix the internal truncation that currently happens, though).

Yeah, allowing range checks to allow those who do set using "git
config" from the command line to protect themselves is in theory
a good idea, but in practice that means they need to know the
internal type (and they need to know to pass --int in the first
place), so it may be a losing proposition.

> I do not know if it is so serious a fix that you need to go back to
> v1.8.2 series, but I think it is definitely maint-worthy. I was worried
> initially that the second part of the patch would involve too much
> refactoring for maint, but it actually turned out pretty simple.
>
> I'll prepare a squashed version that I think should be suitable for
> maint.

Thanks.